<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <SignAssembly>true</SignAssembly>
    <AssemblyOriginatorKeyFile>..\bo_strong_key_pair.snk</AssemblyOriginatorKeyFile>
    <DelaySign>false</DelaySign>
    <RootNamespace>Quadarax.Foundation.Core.Business</RootNamespace>
    <ApplicationIcon>..\quadarax_dll.ico</ApplicationIcon>
    <Title>Quadarax.Foundation.Core.Bussines</Title>
    <Authors>Dalibor Votruba</Authors>
    <Company>Quadarax</Company>
    <Product>Quadarax.Foundation</Product>
    <Description>Quadarax.Foundation.Core.Bussines - bussines layer foundation library</Description>
    <Copyright>Copyright © 2023 Quadarax</Copyright>
    <PackageIcon>quadarax_dll.png</PackageIcon>
    <PackageTags>QDR;FND;CORE;BUSSINES</PackageTags>
    <AssemblyVersion>0.0.1.0</AssemblyVersion>
    <FileVersion>0.0.1.0</FileVersion>
    <Version>0.0.1.0-alpha</Version>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="releasenotes.md" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="releasenotes.md">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <None Include="..\quadarax_dll.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="NLog" Version="5.2.4" />
    <PackageReference Include="qdr.fnd.core" Version="0.0.1-alpha" />
    <PackageReference Include="qdr.fnd.core.data" Version="0.0.1-alpha" />
    <PackageReference Include="qdr.fnd.core.data.itfc" Version="0.0.1-alpha" />
  </ItemGroup>

</Project>
